Subject: bug#35649: 12.1.2; Creating a beamer document fails

From: Arash Esbati <[email-masked]>
Date: Thu, 09 May 2019 21:45:36 +0200

Ikumi Keita <[email-masked]> writes:

>>>>>> Jonas Neundorf <[email-masked]> writes:
>> I try to create a beamer document by opening a .tex file and
>> inserting the document environment with C-c C-e in auctex 12.1.2. It fails with the message:
>
>> Symbol's value as variable is void: LaTeX-hyperref-package-options-list
>
> Thanks for the report.  Arash, it turned out that our expectation[1] was
> not correct.  The style file beamer.el requires to be processed with
> `TeX-run-style-hooks' in order to obtain its class options for use with
> completion.  Just loading it with `TeX-load-style' is not enough because
> hyperref.el, which defines the variable
> `LaTeX-hyperref-package-options-list', is loaded only through
> `(TeX-run-style-hooks ... "hyperref" ...) in the style hook created with
> `(TeX-add-style-hook "beamer" ...)'.
>
> What way should we take?  To partially revert the change discussed in
> [1]?  Or to fix the style file each time similar problem occurs?  Or
> somethig else?

Hi Keita,

I haven't looked at it in depth, but what do you think about this
solution?

--8<---------------cut here---------------start------------->8---
diff --git a/style/beamer.el b/style/beamer.el
index fb69fc41..5de0d323 100644
--- a/style/beamer.el
+++ b/style/beamer.el
@@ -363,6 +363,7 @@ also be a string.  Then the length of the string is used."

 (defun LaTeX-beamer-class-options ()
   "Read the beamer class options from the user."
+  (TeX-load-style "hyperref")
   (TeX-read-key-val t '(("usepdftitle" ("false")) ("envcountsect")
                        ("notheorems") ("noamsthm") ("compress") ("t") ("c")
                        ("leqno") ("fleqn") ("handout") ("trans") ("pdftex")
--8<---------------cut here---------------end--------------->8---
   
Best, Arash